package com.ruoyi.quartz.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 配电箱数据对象 dev_iot_datas
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public class QuartzDevIotDatas extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 配置主键 */
    @Excel(name = "配置主键")
    private Long cfgId;

    /** 点位主键 */
    @Excel(name = "点位主键")
    private Long pointId;

    /** 公司主键 */
    @Excel(name = "公司主键")
    private Long comId;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceSn;

    /** 开关位_交流 */
    @Excel(name = "开关位_交流")
    private String switchesAc;

    /** 开关位 */
    @Excel(name = "开关位")
    private String switchesSwitch;

    /** 开关位状态 */
    @Excel(name = "开关位状态")
    private String switchesSwitches;

    /** 开关位安装状态 */
    @Excel(name = "开关位安装状态")
    private String switchesSwitchstatus;

    /** 温度检测数据 */
    @Excel(name = "温度检测数据")
    private String temperature;

    /** 漏电检测数据 */
    @Excel(name = "漏电检测数据")
    private String leakage;

    /** A相电压 */
    @Excel(name = "A相电压")
    private String voltageA;

    /** B相电压 */
    @Excel(name = "B相电压")
    private String voltageB;

    /** C相电压 */
    @Excel(name = "C相电压")
    private String voltageC;

    /** A相与B相之间的电压 */
    @Excel(name = "A相与B相之间的电压")
    private String voltageAb;

    /** B相与C相之间的电压 */
    @Excel(name = "B相与C相之间的电压")
    private String voltageBc;

    /** C相与A相之间的电压 */
    @Excel(name = "C相与A相之间的电压")
    private String voltageCa;

    /** A相电流 */
    @Excel(name = "A相电流")
    private String currentA;

    /** B相电流 */
    @Excel(name = "B相电流")
    private String currentB;

    /** C相电流 */
    @Excel(name = "C相电流")
    private String currentC;

    /** A相功率 */
    @Excel(name = "A相功率")
    private String powerA;

    /** B相功率 */
    @Excel(name = "B相功率")
    private String powerB;

    /** C相功率 */
    @Excel(name = "C相功率")
    private String powerC;

    /** A相累计能量 */
    @Excel(name = "A相累计能量")
    private String energyA;

    /** B相累计能量 */
    @Excel(name = "B相累计能量")
    private String energyB;

    /** C相累计能量 */
    @Excel(name = "C相累计能量")
    private String energyC;

    /** A相功率因数 */
    @Excel(name = "A相功率因数")
    private String factorA;

    /** B相功率因数 */
    @Excel(name = "B相功率因数")
    private String factorB;

    /** C相功率因数 */
    @Excel(name = "C相功率因数")
    private String factorC;

    /** A相频率 */
    @Excel(name = "A相频率")
    private String frequencyA;

    /** B相频率 */
    @Excel(name = "B相频率")
    private String frequencyB;

    /** C相频率 */
    @Excel(name = "C相频率")
    private String frequencyC;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCfgId(Long cfgId) 
    {
        this.cfgId = cfgId;
    }

    public Long getCfgId() 
    {
        return cfgId;
    }
    public void setPointId(Long pointId) 
    {
        this.pointId = pointId;
    }

    public Long getPointId() 
    {
        return pointId;
    }
    public void setComId(Long comId) 
    {
        this.comId = comId;
    }

    public Long getComId() 
    {
        return comId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeviceSn(String deviceSn) 
    {
        this.deviceSn = deviceSn;
    }

    public String getDeviceSn() 
    {
        return deviceSn;
    }
    public void setSwitchesAc(String switchesAc) 
    {
        this.switchesAc = switchesAc;
    }

    public String getSwitchesAc() 
    {
        return switchesAc;
    }
    public void setSwitchesSwitch(String switchesSwitch) 
    {
        this.switchesSwitch = switchesSwitch;
    }

    public String getSwitchesSwitch() 
    {
        return switchesSwitch;
    }
    public void setSwitchesSwitches(String switchesSwitches) 
    {
        this.switchesSwitches = switchesSwitches;
    }

    public String getSwitchesSwitches() 
    {
        return switchesSwitches;
    }
    public void setSwitchesSwitchstatus(String switchesSwitchstatus) 
    {
        this.switchesSwitchstatus = switchesSwitchstatus;
    }

    public String getSwitchesSwitchstatus() 
    {
        return switchesSwitchstatus;
    }
    public void setTemperature(String temperature) 
    {
        this.temperature = temperature;
    }

    public String getTemperature() 
    {
        return temperature;
    }
    public void setLeakage(String leakage) 
    {
        this.leakage = leakage;
    }

    public String getLeakage() 
    {
        return leakage;
    }
    public void setVoltageA(String voltageA) 
    {
        this.voltageA = voltageA;
    }

    public String getVoltageA() 
    {
        return voltageA;
    }
    public void setVoltageB(String voltageB) 
    {
        this.voltageB = voltageB;
    }

    public String getVoltageB() 
    {
        return voltageB;
    }
    public void setVoltageC(String voltageC) 
    {
        this.voltageC = voltageC;
    }

    public String getVoltageC() 
    {
        return voltageC;
    }
    public void setVoltageAb(String voltageAb) 
    {
        this.voltageAb = voltageAb;
    }

    public String getVoltageAb() 
    {
        return voltageAb;
    }
    public void setVoltageBc(String voltageBc) 
    {
        this.voltageBc = voltageBc;
    }

    public String getVoltageBc() 
    {
        return voltageBc;
    }
    public void setVoltageCa(String voltageCa) 
    {
        this.voltageCa = voltageCa;
    }

    public String getVoltageCa() 
    {
        return voltageCa;
    }
    public void setCurrentA(String currentA) 
    {
        this.currentA = currentA;
    }

    public String getCurrentA() 
    {
        return currentA;
    }
    public void setCurrentB(String currentB) 
    {
        this.currentB = currentB;
    }

    public String getCurrentB() 
    {
        return currentB;
    }
    public void setCurrentC(String currentC) 
    {
        this.currentC = currentC;
    }

    public String getCurrentC() 
    {
        return currentC;
    }
    public void setPowerA(String powerA) 
    {
        this.powerA = powerA;
    }

    public String getPowerA() 
    {
        return powerA;
    }
    public void setPowerB(String powerB) 
    {
        this.powerB = powerB;
    }

    public String getPowerB() 
    {
        return powerB;
    }
    public void setPowerC(String powerC) 
    {
        this.powerC = powerC;
    }

    public String getPowerC() 
    {
        return powerC;
    }
    public void setEnergyA(String energyA) 
    {
        this.energyA = energyA;
    }

    public String getEnergyA() 
    {
        return energyA;
    }
    public void setEnergyB(String energyB) 
    {
        this.energyB = energyB;
    }

    public String getEnergyB() 
    {
        return energyB;
    }
    public void setEnergyC(String energyC) 
    {
        this.energyC = energyC;
    }

    public String getEnergyC() 
    {
        return energyC;
    }
    public void setFactorA(String factorA) 
    {
        this.factorA = factorA;
    }

    public String getFactorA() 
    {
        return factorA;
    }
    public void setFactorB(String factorB) 
    {
        this.factorB = factorB;
    }

    public String getFactorB() 
    {
        return factorB;
    }
    public void setFactorC(String factorC) 
    {
        this.factorC = factorC;
    }

    public String getFactorC() 
    {
        return factorC;
    }
    public void setFrequencyA(String frequencyA) 
    {
        this.frequencyA = frequencyA;
    }

    public String getFrequencyA() 
    {
        return frequencyA;
    }
    public void setFrequencyB(String frequencyB) 
    {
        this.frequencyB = frequencyB;
    }

    public String getFrequencyB() 
    {
        return frequencyB;
    }
    public void setFrequencyC(String frequencyC) 
    {
        this.frequencyC = frequencyC;
    }

    public String getFrequencyC() 
    {
        return frequencyC;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cfgId", getCfgId())
            .append("pointId", getPointId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("deviceSn", getDeviceSn())
            .append("switchesAc", getSwitchesAc())
            .append("switchesSwitch", getSwitchesSwitch())
            .append("switchesSwitches", getSwitchesSwitches())
            .append("switchesSwitchstatus", getSwitchesSwitchstatus())
            .append("temperature", getTemperature())
            .append("leakage", getLeakage())
            .append("voltageA", getVoltageA())
            .append("voltageB", getVoltageB())
            .append("voltageC", getVoltageC())
            .append("voltageAb", getVoltageAb())
            .append("voltageBc", getVoltageBc())
            .append("voltageCa", getVoltageCa())
            .append("currentA", getCurrentA())
            .append("currentB", getCurrentB())
            .append("currentC", getCurrentC())
            .append("powerA", getPowerA())
            .append("powerB", getPowerB())
            .append("powerC", getPowerC())
            .append("energyA", getEnergyA())
            .append("energyB", getEnergyB())
            .append("energyC", getEnergyC())
            .append("factorA", getFactorA())
            .append("factorB", getFactorB())
            .append("factorC", getFactorC())
            .append("frequencyA", getFrequencyA())
            .append("frequencyB", getFrequencyB())
            .append("frequencyC", getFrequencyC())
            .append("createTime", getCreateTime())
            .toString();
    }
}
