package com.ruoyi.quartz.mapper;

import com.ruoyi.quartz.domain.QuartzDevIotConfigPoint;
import com.ruoyi.quartz.domain.QuartzDevIotDatas;
import com.ruoyi.quartz.domain.QuartzDevIotWarning;

import java.util.List;
import java.util.Map;

/**
 * 萨达配电箱数据
 */
public interface QuartzDevIotMapper {

    /**
     * 获取配电箱配置信息
     */
    public List<Map<String,Object>> selectDevIotConfigList();

    /**
     * 查询配电箱配置列表
     *
     * @param devIotConfigPoint 配电箱配置
     * @return 配电箱配置集合
     */
    public List<QuartzDevIotConfigPoint> selectDevIotConfigPointList(QuartzDevIotConfigPoint devIotConfigPoint);

    /**
     * 新增配电箱配置
     *
     * @param devIotConfigPoint 配电箱配置
     * @return 结果
     */
    public int insertDevIotConfigPoint(QuartzDevIotConfigPoint devIotConfigPoint);

    /**
     * 修改配电箱配置
     *
     * @param devIotConfigPoint 配电箱配置
     * @return 结果
     */
    public int updateDevIotConfigPoint(QuartzDevIotConfigPoint devIotConfigPoint);

    /**
     * 新增配电箱数据
     *
     * @param devIotDatas 配电箱数据
     * @return 结果
     */
    public int insertDevIotDatas(QuartzDevIotDatas devIotDatas);

    /**
     * 新增配电箱预警
     *
     * @param devIotWarning 配电箱预警
     * @return 结果
     */
    public int insertDevIotWarning(QuartzDevIotWarning devIotWarning);

}
