import request from '@/utils/request'

// 查询配电箱配置列表
export function listIotConfig(query) {
  return request({
    url: '/device/iotConfig/list',
    method: 'get',
    params: query
  })
}

// 查询配电箱配置详细
export function getIotConfig(id) {
  return request({
    url: '/device/iotConfig/' + id,
    method: 'get'
  })
}

// 配电箱配的点位信息
export function findIotConfigPoint(id) {
  return request({
    url: '/device/iotConfig/findIotConfigPoint/' + id,
    method: 'get'
  })
}

// 新增配电箱配置
export function addIotConfig(data) {
  return request({
    url: '/device/iotConfig',
    method: 'post',
    data: data
  })
}

// 修改配电箱配置
export function updateIotConfig(data) {
  return request({
    url: '/device/iotConfig',
    method: 'put',
    data: data
  })
}

// 删除配电箱配置
export function delIotConfig(id) {
  return request({
    url: '/device/iotConfig/' + id,
    method: 'delete'
  })
}
