import request from '@/utils/request'

// 查询配电箱配置列表
export function listIotConfigPoint(query) {
  return request({
    url: '/device/iotConfigPoint/list',
    method: 'get',
    params: query
  })
}

// 查询配电箱配置详细
export function getIotConfigPoint(id) {
  return request({
    url: '/device/iotConfigPoint/' + id,
    method: 'get'
  })
}

// 新增配电箱配置
export function addIotConfigPoint(data) {
  return request({
    url: '/device/iotConfigPoint',
    method: 'post',
    data: data
  })
}

// 修改配电箱配置
export function updateIotConfigPoint(data) {
  return request({
    url: '/device/iotConfigPoint',
    method: 'put',
    data: data
  })
}

// 删除配电箱配置
export function delIotConfigPoint(id) {
  return request({
    url: '/device/iotConfigPoint/' + id,
    method: 'delete'
  })
}
