import request from '@/utils/request'

// 查询配电箱数据列表
export function listIotDatas(query) {
  return request({
    url: '/device/iotDatas/list',
    method: 'get',
    params: query
  })
}

// 查询配电箱数据详细
export function getIotDatas(id) {
  return request({
    url: '/device/iotDatas/' + id,
    method: 'get'
  })
}

// 新增配电箱数据
export function addIotDatas(data) {
  return request({
    url: '/device/iotDatas',
    method: 'post',
    data: data
  })
}

// 修改配电箱数据
export function updateIotDatas(data) {
  return request({
    url: '/device/iotDatas',
    method: 'put',
    data: data
  })
}

// 删除配电箱数据
export function delIotDatas(id) {
  return request({
    url: '/device/iotDatas/' + id,
    method: 'delete'
  })
}
