import request from '@/utils/request'

// 查询配电箱预警列表
export function listIotWarning(query) {
  return request({
    url: '/device/iotWarning/list',
    method: 'get',
    params: query
  })
}

// 查询配电箱预警详细
export function getIotWarning(id) {
  return request({
    url: '/device/iotWarning/' + id,
    method: 'get'
  })
}

// 新增配电箱预警
export function addIotWarning(data) {
  return request({
    url: '/device/iotWarning',
    method: 'post',
    data: data
  })
}

// 修改配电箱预警
export function updateIotWarning(data) {
  return request({
    url: '/device/iotWarning',
    method: 'put',
    data: data
  })
}

// 删除配电箱预警
export function delIotWarning(id) {
  return request({
    url: '/device/iotWarning/' + id,
    method: 'delete'
  })
}
