package com.yanzhu.jh.device.mapper;

import com.yanzhu.jh.device.domain.DevIotConfig;

import java.util.List;

/**
 * 配电箱配置Mapper接口
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public interface DevIotConfigMapper 
{
    /**
     * 查询配电箱配置
     * 
     * @param id 配电箱配置主键
     * @return 配电箱配置
     */
    public DevIotConfig selectDevIotConfigById(Long id);

    /**
     * 查询配电箱配置列表
     * 
     * @param devIotConfig 配电箱配置
     * @return 配电箱配置集合
     */
    public List<DevIotConfig> selectDevIotConfigList(DevIotConfig devIotConfig);

    /**
     * 新增配电箱配置
     * 
     * @param devIotConfig 配电箱配置
     * @return 结果
     */
    public int insertDevIotConfig(DevIotConfig devIotConfig);

    /**
     * 修改配电箱配置
     * 
     * @param devIotConfig 配电箱配置
     * @return 结果
     */
    public int updateDevIotConfig(DevIotConfig devIotConfig);

    /**
     * 删除配电箱配置
     * 
     * @param id 配电箱配置主键
     * @return 结果
     */
    public int deleteDevIotConfigById(Long id);

    /**
     * 批量删除配电箱配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevIotConfigByIds(Long[] ids);
}
