package com.yanzhu.jh.device.mapper;

import com.yanzhu.jh.device.domain.DevIotWarning;

import java.util.List;

/**
 * 配电箱预警Mapper接口
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public interface DevIotWarningMapper 
{
    /**
     * 查询配电箱预警
     * 
     * @param id 配电箱预警主键
     * @return 配电箱预警
     */
    public DevIotWarning selectDevIotWarningById(Long id);

    /**
     * 查询配电箱预警列表
     * 
     * @param devIotWarning 配电箱预警
     * @return 配电箱预警集合
     */
    public List<DevIotWarning> selectDevIotWarningList(DevIotWarning devIotWarning);

    /**
     * 新增配电箱预警
     * 
     * @param devIotWarning 配电箱预警
     * @return 结果
     */
    public int insertDevIotWarning(DevIotWarning devIotWarning);

    /**
     * 修改配电箱预警
     * 
     * @param devIotWarning 配电箱预警
     * @return 结果
     */
    public int updateDevIotWarning(DevIotWarning devIotWarning);

    /**
     * 删除配电箱预警
     * 
     * @param id 配电箱预警主键
     * @return 结果
     */
    public int deleteDevIotWarningById(Long id);

    /**
     * 批量删除配电箱预警
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDevIotWarningByIds(Long[] ids);
}
