package com.yanzhu.jh.device.service;

import com.yanzhu.jh.device.domain.DevIotConfigPoint;

import java.util.List;

/**
 * 配电箱配置Service接口
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public interface IDevIotConfigPointService 
{
    /**
     * 查询配电箱配置
     * 
     * @param id 配电箱配置主键
     * @return 配电箱配置
     */
    public DevIotConfigPoint selectDevIotConfigPointById(Long id);

    /**
     * 查询配电箱配置列表
     * 
     * @param devIotConfigPoint 配电箱配置
     * @return 配电箱配置集合
     */
    public List<DevIotConfigPoint> selectDevIotConfigPointList(DevIotConfigPoint devIotConfigPoint);

    /**
     * 新增配电箱配置
     * 
     * @param devIotConfigPoint 配电箱配置
     * @return 结果
     */
    public int insertDevIotConfigPoint(DevIotConfigPoint devIotConfigPoint);

    /**
     * 修改配电箱配置
     * 
     * @param devIotConfigPoint 配电箱配置
     * @return 结果
     */
    public int updateDevIotConfigPoint(DevIotConfigPoint devIotConfigPoint);

    /**
     * 批量删除配电箱配置
     * 
     * @param ids 需要删除的配电箱配置主键集合
     * @return 结果
     */
    public int deleteDevIotConfigPointByIds(Long[] ids);

    /**
     * 删除配电箱配置信息
     * 
     * @param id 配电箱配置主键
     * @return 结果
     */
    public int deleteDevIotConfigPointById(Long id);
}
