package com.yanzhu.jh.device.service;

import com.yanzhu.jh.device.domain.DevIotDatas;

import java.util.List;

/**
 * 配电箱数据Service接口
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
public interface IDevIotDatasService 
{
    /**
     * 查询配电箱数据
     * 
     * @param id 配电箱数据主键
     * @return 配电箱数据
     */
    public DevIotDatas selectDevIotDatasById(Long id);

    /**
     * 查询配电箱数据列表
     * 
     * @param devIotDatas 配电箱数据
     * @return 配电箱数据集合
     */
    public List<DevIotDatas> selectDevIotDatasList(DevIotDatas devIotDatas);

    /**
     * 新增配电箱数据
     * 
     * @param devIotDatas 配电箱数据
     * @return 结果
     */
    public int insertDevIotDatas(DevIotDatas devIotDatas);

    /**
     * 修改配电箱数据
     * 
     * @param devIotDatas 配电箱数据
     * @return 结果
     */
    public int updateDevIotDatas(DevIotDatas devIotDatas);

    /**
     * 批量删除配电箱数据
     * 
     * @param ids 需要删除的配电箱数据主键集合
     * @return 结果
     */
    public int deleteDevIotDatasByIds(Long[] ids);

    /**
     * 删除配电箱数据信息
     * 
     * @param id 配电箱数据主键
     * @return 结果
     */
    public int deleteDevIotDatasById(Long id);
}
