package com.yanzhu.jh.device.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.yanzhu.jh.device.domain.DevIotDatas;
import com.yanzhu.jh.device.mapper.DevIotDatasMapper;
import com.yanzhu.jh.device.service.IDevIotDatasService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 配电箱数据Service业务层处理
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
@Service
public class DevIotDatasServiceImpl implements IDevIotDatasService
{
    @Autowired
    private DevIotDatasMapper devIotDatasMapper;

    /**
     * 查询配电箱数据
     * 
     * @param id 配电箱数据主键
     * @return 配电箱数据
     */
    @Override
    public DevIotDatas selectDevIotDatasById(Long id)
    {
        return devIotDatasMapper.selectDevIotDatasById(id);
    }

    /**
     * 查询配电箱数据列表
     * 
     * @param devIotDatas 配电箱数据
     * @return 配电箱数据
     */
    @Override
    public List<DevIotDatas> selectDevIotDatasList(DevIotDatas devIotDatas)
    {
        return devIotDatasMapper.selectDevIotDatasList(devIotDatas);
    }

    /**
     * 新增配电箱数据
     * 
     * @param devIotDatas 配电箱数据
     * @return 结果
     */
    @Override
    public int insertDevIotDatas(DevIotDatas devIotDatas)
    {
        devIotDatas.setCreateTime(DateUtils.getNowDate());
        return devIotDatasMapper.insertDevIotDatas(devIotDatas);
    }

    /**
     * 修改配电箱数据
     * 
     * @param devIotDatas 配电箱数据
     * @return 结果
     */
    @Override
    public int updateDevIotDatas(DevIotDatas devIotDatas)
    {
        return devIotDatasMapper.updateDevIotDatas(devIotDatas);
    }

    /**
     * 批量删除配电箱数据
     * 
     * @param ids 需要删除的配电箱数据主键
     * @return 结果
     */
    @Override
    public int deleteDevIotDatasByIds(Long[] ids)
    {
        return devIotDatasMapper.deleteDevIotDatasByIds(ids);
    }

    /**
     * 删除配电箱数据信息
     * 
     * @param id 配电箱数据主键
     * @return 结果
     */
    @Override
    public int deleteDevIotDatasById(Long id)
    {
        return devIotDatasMapper.deleteDevIotDatasById(id);
    }
}
