package com.yanzhu.jh.device.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.yanzhu.jh.device.domain.DevIotWarning;
import com.yanzhu.jh.device.mapper.DevIotWarningMapper;
import com.yanzhu.jh.device.service.IDevIotWarningService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 配电箱预警Service业务层处理
 * 
 * @author yanzhu
 * @date 2025-04-04
 */
@Service
public class DevIotWarningServiceImpl implements IDevIotWarningService
{
    @Autowired
    private DevIotWarningMapper devIotWarningMapper;

    /**
     * 查询配电箱预警
     * 
     * @param id 配电箱预警主键
     * @return 配电箱预警
     */
    @Override
    public DevIotWarning selectDevIotWarningById(Long id)
    {
        return devIotWarningMapper.selectDevIotWarningById(id);
    }

    /**
     * 查询配电箱预警列表
     * 
     * @param devIotWarning 配电箱预警
     * @return 配电箱预警
     */
    @Override
    public List<DevIotWarning> selectDevIotWarningList(DevIotWarning devIotWarning)
    {
        return devIotWarningMapper.selectDevIotWarningList(devIotWarning);
    }

    /**
     * 新增配电箱预警
     * 
     * @param devIotWarning 配电箱预警
     * @return 结果
     */
    @Override
    public int insertDevIotWarning(DevIotWarning devIotWarning)
    {
        devIotWarning.setCreateTime(DateUtils.getNowDate());
        return devIotWarningMapper.insertDevIotWarning(devIotWarning);
    }

    /**
     * 修改配电箱预警
     * 
     * @param devIotWarning 配电箱预警
     * @return 结果
     */
    @Override
    public int updateDevIotWarning(DevIotWarning devIotWarning)
    {
        return devIotWarningMapper.updateDevIotWarning(devIotWarning);
    }

    /**
     * 批量删除配电箱预警
     * 
     * @param ids 需要删除的配电箱预警主键
     * @return 结果
     */
    @Override
    public int deleteDevIotWarningByIds(Long[] ids)
    {
        return devIotWarningMapper.deleteDevIotWarningByIds(ids);
    }

    /**
     * 删除配电箱预警信息
     * 
     * @param id 配电箱预警主键
     * @return 结果
     */
    @Override
    public int deleteDevIotWarningById(Long id)
    {
        return devIotWarningMapper.deleteDevIotWarningById(id);
    }

}
