package com.yanzhu.jh.project.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.yanzhu.jh.project.domain.SurProjectAttendanceData;

import java.math.BigDecimal;

/**
 * 考勤导出月数据
 */
public class ExportAttendancMonth {
    @Excel(name = "项目名称")
    private String projectName;
    @Excel(name = "部门名称")
    private String deptName;
    @Excel(name = "姓名")
    private String workerName;
    @Excel(name = "籍贯")
    private String nativePlace;
    @Excel(name = "性别")
    private String sex;
    @Excel(name = "分包商名称")
    private String companyName;
    @Excel(name = "所属班组")
    private String groupName;
    @Excel(name = "工种")
    private String workTypeName;
    @Excel(name = "月工资")
    private BigDecimal pay;
    @Excel(name = "月出勤天数")
    private long days;
    @Excel(name = "工种日工资")
    private BigDecimal unitPay;

    public static ExportAttendancMonth NEW(SurProjectAttendanceData it) {
        ExportAttendancMonth d=new ExportAttendancMonth();
        d.projectName = it.getProjectName();
        d.projectName = it.getProjectName();
        d.deptName = it.getDeptName();
        d.workerName = it.getWorkerName();
        d.nativePlace = it.getNativePlace();
        d.sex=it.getWorkerGender().intValue()==0?"男":"女";
        d.companyName=it.getCompanyName();
        d.groupName=it.getGroupName();
        d.workTypeName = it.getWorkTypeName();
        d.pay=BigDecimal.valueOf(it.getPay()/100.0);
        d.days=it.getDays();
        if(it.getUnitPay()!=null){
            d.unitPay=BigDecimal.valueOf(it.getUnitPay()/100.0);
        }else{
            d.unitPay=BigDecimal.ZERO;
        }
        return d;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getWorkerName() {
        return workerName;
    }

    public void setWorkerName(String workerName) {
        this.workerName = workerName;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getWorkTypeName() {
        return workTypeName;
    }

    public void setWorkTypeName(String workTypeName) {
        this.workTypeName = workTypeName;
    }

    public BigDecimal getPay() {
        return pay;
    }

    public void setPay(BigDecimal pay) {
        this.pay = pay;
    }

    public long getDays() {
        return days;
    }

    public void setDays(long days) {
        this.days = days;
    }

    public BigDecimal getUnitPay() {
        return unitPay;
    }

    public void setUnitPay(BigDecimal unitPay) {
        this.unitPay = unitPay;
    }
}
